## org.eclipse.emf.codegen.jmerge
Class JMerger

    java.lang.Object
      org.eclipse.emf.codegen.jmerge.JMerger

Deprecated. in 2.2.0. Use `JMerger` instead.

    @Deprecated
    public class JMerger

extends java.lang.Object

This implements the method `run(java.lang.Object)`, which is called just like main during headless workbench invocation.

Nested Class Summary
`static class` `JMerger.PlatformRunnable` Deprecated.

Field Summary
`protected boolean` `fixInterfaceBrace` Deprecated.
`protected static java.util.regex.Pattern` `INTERFACE_BRACE_PATTERN` Deprecated.
`protected boolean` `isBlocked` Deprecated.
`protected JControlModel` `jControlModel` Deprecated.
`protected org.eclipse.jdt.core.jdom.DOMFactory` `jdomFactory` Deprecated.
`protected static java.lang.Object[]` `noArguments` Deprecated.
`protected java.util.Map` `orderedSourceChildrenMap` Deprecated.
`protected org.eclipse.jdt.core.jdom.IDOMCompilationUnit` `sourceCompilationUnit` Deprecated.
`protected JPatternDictionary` `sourcePatternDictionary` Deprecated.
`protected java.util.Map` `sourceToTargetMap` Deprecated.
`protected org.eclipse.jdt.core.jdom.IDOMCompilationUnit` `targetCompilationUnit` Deprecated.
`protected JPatternDictionary` `targetPatternDictionary` Deprecated.
`protected java.util.Map` `targetToSourceMap` Deprecated.

Constructor Summary
`JMerger()` Deprecated. This creates an empty instances, an when used as a runnable.
`JMerger(JControlModel jControlModel, org.eclipse.jdt.core.jdom.IDOMCompilationUnit sourceCompilationUnit, org.eclipse.jdt.core.jdom.IDOMCompilationUnit targetCompilationUnit)` Deprecated.

Method Summary
`protected java.lang.String` `applyFormatRules(java.lang.String value)` Deprecated.
`protected void` `applyPullRules(org.eclipse.jdt.core.jdom.IDOMNode sourceNode, org.eclipse.jdt.core.jdom.IDOMNode targetNode)` Deprecated.
`void` `applySortRules(org.eclipse.jdt.core.jdom.IDOMNode sourceNode)` Deprecated.
`protected void` `applySweepRules(org.eclipse.jdt.core.jdom.IDOMNode targetNode)` Deprecated.
`org.eclipse.jdt.core.jdom.IDOMCompilationUnit` `createCompilationUnitForContents(java.lang.String contents)` Deprecated. Create a JDOM from contents.
`org.eclipse.jdt.core.jdom.IDOMCompilationUnit` `createCompilationUnitForInputStream(java.io.InputStream inputStream)` Deprecated.
`org.eclipse.jdt.core.jdom.IDOMCompilationUnit` `createCompilationUnitForURI(java.lang.String uri)` Deprecated. Create a JDOM from a URI.
`java.lang.String` `execute(IProgressMonitor progressMonitor, java.lang.String[] arguments)` Deprecated. Utility for headless operations.
`JControlModel` `getControlModel()` Deprecated.
`org.eclipse.jdt.core.jdom.IDOMCompilationUnit` `getSourceCompilationUnit()` Deprecated.
`java.lang.String` `getSourceCompilationUnitContents()` Deprecated.
`JPatternDictionary` `getSourcePatternDictionary()` Deprecated.
`java.util.Map` `getSourceToTargetMap()` Deprecated.
`org.eclipse.jdt.core.jdom.IDOMCompilationUnit` `getTargetCompilationUnit()` Deprecated.
`java.lang.String` `getTargetCompilationUnitContents()` Deprecated.
`JPatternDictionary` `getTargetPatternDictionary()` Deprecated.
`protected org.eclipse.jdt.core.jdom.IDOMNode` `insertClone(org.eclipse.jdt.core.jdom.IDOMNode sourceNode)` Deprecated.
`boolean` `isFixInterfaceBrace()` Deprecated.
`protected void` `map(org.eclipse.jdt.core.jdom.IDOMNode sourceNode, org.eclipse.jdt.core.jdom.IDOMNode targetNode)` Deprecated.
`protected void` `mapChildren(org.eclipse.jdt.core.jdom.IDOMNode sourceNode, org.eclipse.jdt.core.jdom.IDOMNode targetNode)` Deprecated.
`void` `merge()` Deprecated.
`protected void` `pullTargetCompilationUnit()` Deprecated.
`protected void` `pullTargetField(org.eclipse.jdt.core.jdom.IDOMField targetField)` Deprecated.
`protected void` `pullTargetImport(org.eclipse.jdt.core.jdom.IDOMImport targetImport)` Deprecated.
`protected void` `pullTargetInitializer(org.eclipse.jdt.core.jdom.IDOMInitializer targetInitializer)` Deprecated.
`protected void` `pullTargetMethod(org.eclipse.jdt.core.jdom.IDOMMethod targetMethod)` Deprecated.
`protected void` `pullTargetPackage(org.eclipse.jdt.core.jdom.IDOMPackage targetPackage)` Deprecated.
`protected void` `pullTargetType(org.eclipse.jdt.core.jdom.IDOMType targetType)` Deprecated.
`protected void` `pushSourceCompilationUnit()` Deprecated.
`protected void` `pushSourceField(org.eclipse.jdt.core.jdom.IDOMField sourceField)` Deprecated.
`protected void` `pushSourceImport(org.eclipse.jdt.core.jdom.IDOMImport sourceImport)` Deprecated.
`protected void` `pushSourceInitializer(org.eclipse.jdt.core.jdom.IDOMInitializer sourceInitializer)` Deprecated.
`protected void` `pushSourceMethod(org.eclipse.jdt.core.jdom.IDOMMethod sourceMethod)` Deprecated.
`protected void` `pushSourcePackage(org.eclipse.jdt.core.jdom.IDOMPackage sourcePackage)` Deprecated.
`protected void` `pushSourceType(org.eclipse.jdt.core.jdom.IDOMType sourceType)` Deprecated.
`void` `remerge()` Deprecated.
`java.lang.Object` `run(java.lang.Object object)` Deprecated. This is called with the command line arguments of a headless workbench invocation.
`void` `setControlModel(JControlModel jControlModel)` Deprecated.
`void` `setFixInterfaceBrace(boolean fixInterfaceBrace)` Deprecated.
`void` `setSourceCompilationUnit(org.eclipse.jdt.core.jdom.IDOMCompilationUnit sourceCompilationUnit)` Deprecated.
`void` `setSourcePatternDictionary(JPatternDictionary sourcePatternDictionary)` Deprecated.
`void` `setSourceToTargetMap(java.util.Map sourceToTargetMap)` Deprecated.
`void` `setTargetCompilationUnit(org.eclipse.jdt.core.jdom.IDOMCompilationUnit targetCompilationUnit)` Deprecated.
`void` `setTargetPatternDictionary(JPatternDictionary targetPatternDictionary)` Deprecated.
`protected void` `sortTargetCompilationUnit()` Deprecated.
`protected void` `sweepTargetCompilationUnit()` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### jdomFactory

    protected org.eclipse.jdt.core.jdom.DOMFactory jdomFactory

  Deprecated.

### jControlModel

    protected JControlModel jControlModel

  Deprecated.

### sourceCompilationUnit

    protected org.eclipse.jdt.core.jdom.IDOMCompilationUnit sourceCompilationUnit

  Deprecated.

### targetCompilationUnit

    protected org.eclipse.jdt.core.jdom.IDOMCompilationUnit targetCompilationUnit

  Deprecated.

### sourcePatternDictionary

    protected JPatternDictionary sourcePatternDictionary

  Deprecated.

### targetPatternDictionary

    protected JPatternDictionary targetPatternDictionary

  Deprecated.

### sourceToTargetMap

    protected java.util.Map sourceToTargetMap

  Deprecated.

### targetToSourceMap

    protected java.util.Map targetToSourceMap

  Deprecated.

### orderedSourceChildrenMap

    protected java.util.Map orderedSourceChildrenMap

  Deprecated.

### isBlocked

    protected boolean isBlocked

  Deprecated.

### fixInterfaceBrace

    protected boolean fixInterfaceBrace

  Deprecated.

### INTERFACE_BRACE_PATTERN

    protected static final java.util.regex.Pattern INTERFACE_BRACE_PATTERN

  Deprecated.

### noArguments

    protected static java.lang.Object[] noArguments

  Deprecated.

Constructor Detail

### JMerger

    public JMerger()

  Deprecated.
  This creates an empty instances, an when used as a runnable.

### JMerger

    public JMerger(JControlModel jControlModel,
                   org.eclipse.jdt.core.jdom.IDOMCompilationUnit sourceCompilationUnit,
                   org.eclipse.jdt.core.jdom.IDOMCompilationUnit targetCompilationUnit)

  Deprecated.

Method Detail

### merge

    public void merge()

  Deprecated.

### remerge

    public void remerge()

  Deprecated.

### isFixInterfaceBrace

    public boolean isFixInterfaceBrace()

  Deprecated.

### setFixInterfaceBrace

    public void setFixInterfaceBrace(boolean fixInterfaceBrace)

  Deprecated.

### getControlModel

    public JControlModel getControlModel()

  Deprecated.

### setControlModel

    public void setControlModel(JControlModel jControlModel)

  Deprecated.

### getSourceCompilationUnitContents

    public java.lang.String getSourceCompilationUnitContents()

  Deprecated.

### getSourceCompilationUnit

    public org.eclipse.jdt.core.jdom.IDOMCompilationUnit getSourceCompilationUnit()

  Deprecated.

### setSourceCompilationUnit

    public void setSourceCompilationUnit(org.eclipse.jdt.core.jdom.IDOMCompilationUnit sourceCompilationUnit)

  Deprecated.

### getTargetCompilationUnitContents

    public java.lang.String getTargetCompilationUnitContents()

  Deprecated.

### getTargetCompilationUnit

    public org.eclipse.jdt.core.jdom.IDOMCompilationUnit getTargetCompilationUnit()

  Deprecated.

### setTargetCompilationUnit

    public void setTargetCompilationUnit(org.eclipse.jdt.core.jdom.IDOMCompilationUnit targetCompilationUnit)

  Deprecated.

### getSourcePatternDictionary

    public JPatternDictionary getSourcePatternDictionary()

  Deprecated.

### setSourcePatternDictionary

    public void setSourcePatternDictionary(JPatternDictionary sourcePatternDictionary)

  Deprecated.

### getTargetPatternDictionary

    public JPatternDictionary getTargetPatternDictionary()

  Deprecated.

### setTargetPatternDictionary

    public void setTargetPatternDictionary(JPatternDictionary targetPatternDictionary)

  Deprecated.

### getSourceToTargetMap

    public java.util.Map getSourceToTargetMap()

  Deprecated.

### setSourceToTargetMap

    public void setSourceToTargetMap(java.util.Map sourceToTargetMap)

  Deprecated.

### createCompilationUnitForURI

    public org.eclipse.jdt.core.jdom.IDOMCompilationUnit createCompilationUnitForURI(java.lang.String uri)

  Deprecated.
  Create a JDOM from a URI.

### createCompilationUnitForInputStream

    public org.eclipse.jdt.core.jdom.IDOMCompilationUnit createCompilationUnitForInputStream(java.io.InputStream inputStream)

  Deprecated.

### createCompilationUnitForContents

    public org.eclipse.jdt.core.jdom.IDOMCompilationUnit createCompilationUnitForContents(java.lang.String contents)

  Deprecated.
  Create a JDOM from contents.

### pullTargetCompilationUnit

    protected void pullTargetCompilationUnit()

  Deprecated.

### pullTargetPackage

    protected void pullTargetPackage(org.eclipse.jdt.core.jdom.IDOMPackage targetPackage)

  Deprecated.

### pullTargetImport

    protected void pullTargetImport(org.eclipse.jdt.core.jdom.IDOMImport targetImport)

  Deprecated.

### pullTargetType

    protected void pullTargetType(org.eclipse.jdt.core.jdom.IDOMType targetType)

  Deprecated.

### pullTargetInitializer

    protected void pullTargetInitializer(org.eclipse.jdt.core.jdom.IDOMInitializer targetInitializer)

  Deprecated.

### pullTargetField

    protected void pullTargetField(org.eclipse.jdt.core.jdom.IDOMField targetField)

  Deprecated.

### pullTargetMethod

    protected void pullTargetMethod(org.eclipse.jdt.core.jdom.IDOMMethod targetMethod)

  Deprecated.

### applyFormatRules

    protected java.lang.String applyFormatRules(java.lang.String value)

  Deprecated.

### applyPullRules

    protected void applyPullRules(org.eclipse.jdt.core.jdom.IDOMNode sourceNode,
                                  org.eclipse.jdt.core.jdom.IDOMNode targetNode)

  Deprecated.

### pushSourceCompilationUnit

    protected void pushSourceCompilationUnit()

  Deprecated.

### pushSourcePackage

    protected void pushSourcePackage(org.eclipse.jdt.core.jdom.IDOMPackage sourcePackage)

  Deprecated.

### pushSourceImport

    protected void pushSourceImport(org.eclipse.jdt.core.jdom.IDOMImport sourceImport)

  Deprecated.

### pushSourceType

    protected void pushSourceType(org.eclipse.jdt.core.jdom.IDOMType sourceType)

  Deprecated.

### pushSourceInitializer

    protected void pushSourceInitializer(org.eclipse.jdt.core.jdom.IDOMInitializer sourceInitializer)

  Deprecated.

### pushSourceField

    protected void pushSourceField(org.eclipse.jdt.core.jdom.IDOMField sourceField)

  Deprecated.

### pushSourceMethod

    protected void pushSourceMethod(org.eclipse.jdt.core.jdom.IDOMMethod sourceMethod)

  Deprecated.

### applySortRules

    public void applySortRules(org.eclipse.jdt.core.jdom.IDOMNode sourceNode)

  Deprecated.

### sweepTargetCompilationUnit

    protected void sweepTargetCompilationUnit()

  Deprecated.

### applySweepRules

    protected void applySweepRules(org.eclipse.jdt.core.jdom.IDOMNode targetNode)

  Deprecated.

### sortTargetCompilationUnit

    protected void sortTargetCompilationUnit()

  Deprecated.

### insertClone

    protected org.eclipse.jdt.core.jdom.IDOMNode insertClone(org.eclipse.jdt.core.jdom.IDOMNode sourceNode)

  Deprecated.

### mapChildren

    protected void mapChildren(org.eclipse.jdt.core.jdom.IDOMNode sourceNode,
                               org.eclipse.jdt.core.jdom.IDOMNode targetNode)

  Deprecated.

### map

    protected void map(org.eclipse.jdt.core.jdom.IDOMNode sourceNode,
                       org.eclipse.jdt.core.jdom.IDOMNode targetNode)

  Deprecated.

### run

    public java.lang.Object run(java.lang.Object object)

  Deprecated.
  This is called with the command line arguments of a headless workbench invocation.

### execute

    public java.lang.String execute(IProgressMonitor progressMonitor,
                                    java.lang.String[] arguments)

  Deprecated.
  Utility for headless operations.

  Returns:
    the merged content
  Since:
    2.1.0

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.